grknight 15/02/10 18:15:07
Modified: ChangeLog
Added: mysql-cluster-7.3.8.ebuild
mysql-cluster-7.2.19.ebuild
Removed: mysql-cluster-7.3.6.ebuild
mysql-cluster-7.2.17.ebuild
mysql-cluster-7.3.6-r1.ebuild
Log:
Version bump; drop old
(Portage version: 2.2.15/cvs/Linux x86_64, signed Manifest commit with key
D1F781EFF9F4A3B6)
Revision Changes Path
1.7 dev-db/mysql-cluster/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql-cluster/ChangeLog?rev=1.7&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql-cluster/ChangeLog?rev=1.7&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql-cluster/ChangeLog?r1=1.6&r2=1.7
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-db/mysql-cluster/ChangeLog,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- ChangeLog 9 Oct 2014 20:01:16 -0000 1.6
+++ ChangeLog 10 Feb 2015 18:15:07 -0000 1.7
@@ -1,6 +1,14 @@
# ChangeLog for dev-db/mysql-cluster
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-cluster/ChangeLog,v 1.6
2014/10/09 20:01:16 grknight Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-cluster/ChangeLog,v 1.7
2015/02/10 18:15:07 grknight Exp $
+
+*mysql-cluster-7.2.19 (10 Feb 2015)
+*mysql-cluster-7.3.8 (10 Feb 2015)
+
+ 10 Feb 2015; Brian Evans <[email protected]> +mysql-cluster-7.2.19.ebuild,
+ +mysql-cluster-7.3.8.ebuild, -mysql-cluster-7.2.17.ebuild,
+ -mysql-cluster-7.3.6-r1.ebuild, -mysql-cluster-7.3.6.ebuild:
+ Version bump; drop old
06 Oct 2014; Brian Evans <[email protected]> mysql-cluster-7.2.17.ebuild,
mysql-cluster-7.3.6-r1.ebuild:
1.1 dev-db/mysql-cluster/mysql-cluster-7.3.8.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql-cluster/mysql-cluster-7.3.8.ebuild?rev=1.1&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql-cluster/mysql-cluster-7.3.8.ebuild?rev=1.1&content-type=text/plain
Index: mysql-cluster-7.3.8.ebuild
===================================================================
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:
/var/cvsroot/gentoo-x86/dev-db/mysql-cluster/mysql-cluster-7.3.8.ebuild,v 1.1
2015/02/10 18:15:07 grknight Exp $
EAPI=5
MY_EXTRAS_VER="20150210-1758Z"
inherit toolchain-funcs java-pkg-opt-2 mysql-multilib
# only to make repoman happy. it is really set in the eclass
IUSE="$IUSE"
# REMEMBER: also update eclass/mysql*.eclass before committing!
KEYWORDS="~amd64 ~x86"
# When MY_EXTRAS is bumped, the index should be revised to exclude these.
# This is often broken still
#EPATCH_EXCLUDE=''
DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
RDEPEND="!media-sound/amarok[embedded]"
# Please do not add a naive src_unpack to this ebuild
# If you want to add a single patch, copy the ebuild to an overlay
# and create your own mysql-extras tarball, looking at 000_index.txt
# Official test instructions:
# USE='cluster extraengine perl ssl community' \
# FEATURES='test userpriv -usersandbox' \
# ebuild mysql-cluster-X.X.XX.ebuild \
# digest clean package
multilib_src_test() {
if ! multilib_is_native_abi ; then
einfo "Server tests not available on non-native abi".
return 0;
fi
local TESTDIR="${CMAKE_BUILD_DIR}/mysql-test"
local retstatus_unit
local retstatus_tests
# Bug #213475 - MySQL _will_ object strenously if your machine is named
# localhost. Also causes weird failures.
[[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be
named localhost"
if ! use "minimal" ; then
if [[ $UID -eq 0 ]]; then
die "Testing with FEATURES=-userpriv is no longer
supported by upstream. Tests MUST be run as non-root."
fi
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
addpredict /this-dir-does-not-exist/t9.MYI
# Run CTest (test-units)
cmake-utils_src_test
retstatus_unit=$?
[[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
# Ensure that parallel runs don't die
export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
# Enable parallel testing, auto will try to detect number of
cores
# You may set this by hand.
# The default maximum is 8 unless MTR_MAX_PARALLEL is increased
export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
# create directories because mysqladmin might right out of order
mkdir -p "${T}"/var-tests{,/log}
# These are failing in MySQL 5.5/5.6 for now and are believed
to be
# false positives:
#
# main.information_schema,
binlog.binlog_statement_insert_delayed,
# main.mysqld--help-notwin, funcs_1.is_triggers
funcs_1.is_tables_mysql,
# funcs_1.is_columns_mysql, binlog.binlog_mysqlbinlog_filter,
# perfschema.binlog_edge_mix, perfschema.binlog_edge_stmt,
# mysqld--help-notwin, funcs_1.is_triggers,
funcs_1.is_tables_mysql, funcs_1.is_columns_mysql
# perfschema.binlog_edge_stmt, perfschema.binlog_edge_mix,
binlog.binlog_mysqlbinlog_filter
# fails due to USE=-latin1 / utf8 default
#
# main.mysql_client_test:
# segfaults at random under Portage only, suspect resource
limits.
#
for t in \
binlog.binlog_mysqlbinlog_filter \
binlog.binlog_statement_insert_delayed \
funcs_1.is_columns_mysql \
funcs_1.is_tables_mysql \
funcs_1.is_triggers \
main.information_schema \
main.mysqld--help-notwinfuncs_1.is_triggers \
main.mysql_client_test \
mysqld--help-notwin \
perfschema.binlog_edge_mix \
perfschema.binlog_edge_stmt \
; do
mysql-multilib_disable_test "$t" "False
positives in Gentoo"
done
# ndb.ndbinfo, ndb_binlog.ndb_binlog_index: latin1/utf8
for t in \
ndb.ndbinfo \
ndb_binlog.ndb_binlog_index ; do
mysql-multilib_disable_test "$t" "False
positives in Gentoo (NDB)"
done
# Run mysql tests
pushd "${TESTDIR}"
# run mysql-test tests
perl mysql-test-run.pl --force --vardir="${T}/var-tests"
retstatus_tests=$?
[[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
popd
# Cleanup is important for these testcases.
pkill -9 -f "${S}/ndb" 2>/dev/null
pkill -9 -f "${S}/sql" 2>/dev/null
failures=""
[[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
[[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
[[ -z "$failures" ]] || die "Test failures: $failures"
einfo "Tests successfully completed"
else
einfo "Skipping server tests due to minimal build."
fi
}
1.1 dev-db/mysql-cluster/mysql-cluster-7.2.19.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql-cluster/mysql-cluster-7.2.19.ebuild?rev=1.1&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-db/mysql-cluster/mysql-cluster-7.2.19.ebuild?rev=1.1&content-type=text/plain
Index: mysql-cluster-7.2.19.ebuild
===================================================================
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:
/var/cvsroot/gentoo-x86/dev-db/mysql-cluster/mysql-cluster-7.2.19.ebuild,v 1.1
2015/02/10 18:15:07 grknight Exp $
EAPI=4
MY_EXTRAS_VER="20150210-1758Z"
BUILD="cmake"
inherit toolchain-funcs java-pkg-opt-2 mysql-v2
# only to make repoman happy. it is really set in the eclass
IUSE="$IUSE"
# REMEMBER: also update eclass/mysql*.eclass before committing!
KEYWORDS="~amd64 ~x86"
# When MY_EXTRAS is bumped, the index should be revised to exclude these.
# This is often broken still
EPATCH_EXCLUDE='02040_all_embedded-library-shared-5.1.43.patch '
DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
RDEPEND="!media-sound/amarok[embedded]"
# Please do not add a naive src_unpack to this ebuild
# If you want to add a single patch, copy the ebuild to an overlay
# and create your own mysql-extras tarball, looking at 000_index.txt
# Official test instructions:
# USE='cluster extraengine perl ssl community' \
# FEATURES='test userpriv -usersandbox' \
# ebuild mysql-cluster-X.X.XX.ebuild \
# digest clean package
src_test() {
local TESTDIR="${CMAKE_BUILD_DIR}/mysql-test"
local retstatus_unit
local retstatus_tests
# Bug #213475 - MySQL _will_ object strenously if your machine is named
# localhost. Also causes weird failures.
[[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be
named localhost"
if ! use "minimal" ; then
if [[ $UID -eq 0 ]]; then
die "Testing with FEATURES=-userpriv is no longer
supported by upstream. Tests MUST be run as non-root."
fi
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
addpredict /this-dir-does-not-exist/t9.MYI
# Run CTest (test-units)
cmake-utils_src_test
retstatus_unit=$?
[[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
# Ensure that parallel runs don't die
export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
# create directories because mysqladmin might right out of order
mkdir -p "${T}"/var-tests{,/log}
# These are failing in MySQL 5.5 for now and are believed to be
# false positives:
#
# main.information_schema,
binlog.binlog_statement_insert_delayed,
# main.mysqld--help-notwin, ndb.ndbinfo,
ndb_binlog.ndb_binlog_index
# fails due to USE=-latin1 / utf8 default
#
# main.mysql_client_test:
# segfaults at random under Portage only, suspect resource
limits.
#
# sys_vars.plugin_dir_basic
# fails because PLUGIN_DIR is set to MYSQL_LIBDIR64/plugin
# instead of MYSQL_LIBDIR/plugin
#
# main.flush_read_lock_kill
# fails because of unknown system variable 'DEBUG_SYNC'
#
# main.openssl_1
# error message changing
# -mysqltest: Could not open connection 'default': 2026 SSL
connection
# error: ASN: bad other signature confirmation
# +mysqltest: Could not open connection 'default': 2026 SSL
connection
# error: error:00000001:lib(0):func(0):reason(1)
#
for t in main.mysql_client_test \
binlog.binlog_statement_insert_delayed
main.information_schema \
main.mysqld--help-notwin main.flush_read_lock_kill \
sys_vars.plugin_dir_basic main.openssl_1 \
ndb.ndbinfo ndb_binlog.ndb_binlog_index ; do
mysql-v2_disable_test "$t" "False positives in
Gentoo"
done
# Run mysql tests
pushd "${TESTDIR}"
# run mysql-test tests
perl mysql-test-run.pl --force --vardir="${T}/var-tests" \
--parallel=auto
retstatus_tests=$?
[[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
popd
# Cleanup is important for these testcases.
pkill -9 -f "${S}/ndb" 2>/dev/null
pkill -9 -f "${S}/sql" 2>/dev/null
failures=""
[[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
[[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
has usersandbox $FEATURES && eerror "Some tests may fail with
FEATURES=usersandbox"
[[ -z "$failures" ]] || die "Test failures: $failures"
einfo "Tests successfully completed"
else
einfo "Skipping server tests due to minimal build."
fi
}